> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate an activity

> Evaluate an activity. This may be verification of a financial transaction such as a
deposit, withdrawal, etc or evaluating a platform level login or registration activities for example.

An entity must exist in the frankie system to tie the activity to.

This will return the immediate result of the activity, and then asynchronously the
activity will be processed in the FrankieOne platform.




## OpenAPI

````yaml /specs/fc-act-bundled_generated.yaml post /v2/activities
openapi: 3.0.3
info:
  title: Transaction and Activity Monitoring API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for V2.0 Transaction and Activity
    Monitoring. Currently in development, changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Activities
    description: >
      APIs to verify activities which will range from platform level activities
      such as login and registration

      to financial transactions such as deposits, withdrawals, etc.
  - name: Results
    description: |
      APIs to manage results for an individual or organization.
  - name: Sessions
    description: |
      APIs to manage sessions for an individual or organization.
paths:
  /v2/activities:
    post:
      tags:
        - Activities
      summary: Evaluate an activity
      description: >
        Evaluate an activity. This may be verification of a financial
        transaction such as a

        deposit, withdrawal, etc or evaluating a platform level login or
        registration activities for example.


        An entity must exist in the frankie system to tie the activity to.


        This will return the immediate result of the activity, and then
        asynchronously the

        activity will be processed in the FrankieOne platform.
      operationId: evaluateActivity
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Username'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Evaluate-Activity-Req'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Evaluate-Activity-Res'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Internal Server Error:
                  value:
                    errorCode: SYS-1063,
                    errorMsg: Failed to generate KYC report
                    requestId: 01HM5EM2QNNSC9K0PX9VC06HX3
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
  schemas:
    Evaluate-Activity-Req:
      type: object
      required:
        - activity
      properties:
        activity:
          $ref: '#/components/schemas/Activity-Evaluate-Req-Body'
    Evaluate-Activity-Res:
      type: object
      required:
        - requestId
        - activity
      properties:
        requestId:
          $ref: '#/components/schemas/Request-ID'
        activity:
          $ref: '#/components/schemas/Activity'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Activity-Evaluate-Req-Body:
      type: object
      description: >
        Input data for activity evaluation.


        A session token is an identifier that will link together activities done
        in the same end user session to identify the grouping of activities that
        belong together. It is represented in FrankieOne as a ULID but can
        differ if not FrankieOne generated.


        The session token may  be provided to tie in the activity to a longer
        running overall session. There are a few options for session tokens:

        * A session token may not be provided. It is optional to provide but
        there must be configuration in your account to allow this - FrankieOne
        will generate a session token on your behalf to identify the overarching
        session, you may then use this for further calls for the extent of the
        service. This is not recommended when device signals are important to
        your use case.

        * A session token generated on the client side and not registered with
        FrankieOne. The client can generate some sort of unique ID to identify
        the session and provide that at the time of call and manage the session
        token for the duration of the session. This can be used when device
        signals are required.

        * A session token can be generated in a seperate API within FrankieOne -
        Refer to the `Create Individual Session` API. This will register the
        session in FrankieOne and tie it to the individual of interest. There is
        configuration in your account which can enforce session ownership to
        avoid clients modifying the session token, adding another layer of
        security. This can be used when device signals are required.
      required:
        - party
        - detail
      properties:
        session:
          $ref: '#/components/schemas/Session'
        party:
          $ref: '#/components/schemas/Party-Detail'
        detail:
          $ref: '#/components/schemas/Activity-Detail'
        device:
          $ref: '#/components/schemas/Activity-Evaluate-Req-Device-Input'
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Activity:
      type: object
      description: Activity details
      allOf:
        - $ref: '#/components/schemas/Activity-Base'
        - type: object
          properties:
            schemaVersion:
              $ref: '#/components/schemas/Schema-Version'
            evaluation:
              $ref: '#/components/schemas/Evaluation'
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Session:
      type: object
      description: >-
        Session details for an activity, this is always scoped to a singular
        entity.
      properties:
        token:
          type: string
          description: A token to identify the specific session for the activity
    Party-Detail:
      type: object
      description: >
        A party describes the details of one of the parties in a given
        transaction. It can be used to 

        describe any participant.


        A party can only either be an individual or an organization.


        To evaluate a party, you need to provide the details about the party
        involved by:

        * Using an existing entity data: Include the entityId in the party
        object. The data will be extracted from the entity in the FrankieOne
        system.

        * Filling in the details: Include the specific details within the party
        object. Data provided here will take precedence over the entity data but
        will not enrich the entity details in the FrankieOne system.


        Note: If the entity ID is provided, the entity type must also be
        specified.
      allOf:
        - $ref: '#/components/schemas/Party-Detail-Summary'
        - $ref: '#/components/schemas/Party-Detail-Contact'
        - $ref: '#/components/schemas/Party-Detail-Risk-Signals'
    Activity-Detail:
      type: object
      description: Details of the activity being checked
      oneOf:
        - $ref: '#/components/schemas/Activity-Event'
        - $ref: '#/components/schemas/Activity-Transaction'
      discriminator:
        propertyName: activityType
        mapping:
          EVENT:
            $ref: '#/components/schemas/Activity-Event'
          TRANSACTION:
            $ref: '#/components/schemas/Activity-Transaction'
    Activity-Evaluate-Req-Device-Input:
      type: object
      description: >-
        The device information for the activity, you may only provide one IPv4
        or IPv6 address.
      properties:
        ipAddressInformation:
          $ref: '#/components/schemas/IP-Addresses'
    Activity-Base:
      type: object
      required:
        - party
        - detail
      description: Activity details
      properties:
        activityId:
          $ref: '#/components/schemas/Activity-ID'
        session:
          $ref: '#/components/schemas/Session'
        party:
          $ref: '#/components/schemas/Party-Detail'
        detail:
          $ref: '#/components/schemas/Activity-Detail'
        device:
          $ref: '#/components/schemas/Device'
        activityRequestId:
          type: string
          format: ulid
          description: The request ID associated to the activity being submitted
        relatedProcessResults:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Activities-Process-Result-Link'
    Schema-Version:
      type: integer
      example: 2
      description: Version of the Frankie schema.
    Evaluation:
      type: object
      properties:
        lastUpdatedAt:
          type: string
          format: date-time
          description: >-
            The timestamp that the evaluation record (or sub resource) was last
            updated
        createdAt:
          type: string
          format: date-time
          description: The timestamp that the evaluation record was created
        evaluatedAt:
          type: string
          format: date-time
          description: The timestamp that the evaluation was done at the provider
        evaluationId:
          $ref: '#/components/schemas/Evaluation-ID'
        activityResults:
          type: array
          items:
            $ref: '#/components/schemas/Activity-Result'
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Party-Detail-Summary:
      type: object
      description: |
        A summary of the party details
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID-Writeable'
        entityType:
          $ref: '#/components/schemas/Entity-Type-Writeable'
          description: >
            The type of entity. This is required to be provided if an entity ID
            is provided.
        externalReference:
          $ref: '#/components/schemas/External-Reference'
        individual:
          $ref: '#/components/schemas/Party-Detail-Individual'
        organization:
          $ref: '#/components/schemas/Party-Detail-Organization'
        entityName:
          type: string
          description: The name of the entity, use this if the entity type is not clear
        createdAt:
          description: When the entity was created
          type: string
          format: date-time
        customAttributes:
          $ref: '#/components/schemas/Activity-Party-Custom-Attributes'
    Party-Detail-Contact:
      type: object
      properties:
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/Phone-Number'
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/Email'
    Party-Detail-Risk-Signals:
      type: object
      description: Risk signals for party details
      properties:
        riskSignals:
          $ref: '#/components/schemas/Party-Risk-Signals'
    Activity-Event:
      type: object
      description: >
        An activity detailing an event, use for non-transactional activities or
        user behavior monitoring. 


        Examples: User registration, login, profile updates, password resets.
      allOf:
        - $ref: '#/components/schemas/Activity-Detail-Base'
        - $ref: '#/components/schemas/Event'
    Activity-Transaction:
      type: object
      description: >
        An activity detailing a transaction, use for financial activities and
        asset movements.


        Examples: Deposits, withdrawals (fiat or crypto), payments, fund
        transfers.
      allOf:
        - $ref: '#/components/schemas/Activity-Detail-Base'
        - $ref: '#/components/schemas/Transaction-Details'
    IP-Addresses:
      type: object
      properties:
        v4Address:
          type: string
          description: The IPv4 address
          format: ipv4
        v6Address:
          type: string
          description: The IPv6 address
          format: ipv6
    Activity-ID:
      type: string
      readOnly: true
      description: Activity ID that identifies an activity within the FrankieOne platform
      format: ulid
    Device:
      type: object
      description: >
        Device information associated with an activity, used for submitting
        device checks using an external service.
      allOf:
        - $ref: '#/components/schemas/Device-Detail'
        - type: object
          properties:
            geolocation:
              $ref: '#/components/schemas/Geolocation'
            ipAddressInformation:
              $ref: '#/components/schemas/IP-Information'
            createdAt:
              type: string
              description: the time the device was created in UTC ISO8601 format
              format: date-time
              readOnly: true
    Activities-Process-Result-Link:
      type: object
      description: >
        This object includes link details between relatedActivities and a
        processResult.
      properties:
        processResultId:
          $ref: '#/components/schemas/Process-Result-ID'
        relatedActivityIds:
          type: array
          items:
            $ref: '#/components/schemas/Activity-ID'
        manualStatus:
          $ref: '#/components/schemas/Activity-Result-Manual-Status'
        createdAt:
          type: string
          format: date-time
          description: The timestamp that the process result was created
        updatedAt:
          type: string
          format: date-time
          description: The timestamp that the process result was updated
        activityResultId:
          $ref: '#/components/schemas/Activity-Result-ID'
        class:
          $ref: '#/components/schemas/Activity-Result-Class'
    Evaluation-ID:
      type: string
      description: The ID of the evaluation
      readOnly: true
      format: ulid
    Activity-Result:
      type: object
      properties:
        activityResultId:
          $ref: '#/components/schemas/Activity-Result-ID'
        processResultId:
          $ref: '#/components/schemas/Process-Result-ID'
        class:
          $ref: '#/components/schemas/Activity-Result-Class'
        riskLevel:
          $ref: '#/components/schemas/Risk-Level'
        manualStatus:
          $ref: '#/components/schemas/Activity-Result-Manual-Status'
        indicators:
          type: array
          items:
            $ref: '#/components/schemas/Indicator'
        reference:
          $ref: '#/components/schemas/Result-Reference'
        serviceProvider:
          type: string
    Entity-ID-Writeable:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
    Entity-Type-Writeable:
      type: string
      enum:
        - INDIVIDUAL
        - ORGANIZATION
        - UNKNOWN
      description: >-
        The type of entity within Frankie. This can be "INDIVIDUAL",
        "ORGANIZATION", or "UNKNOWN".
    External-Reference:
      type: object
      description: >-
        Reference information used to identify the individual in systems
        external to FrankieOne.
      allOf:
        - type: object
          properties:
            referenceId:
              type: string
              description: >-
                As external references are added to an entity, they are assigned
                a unique identifier to assist with modification and reference.

                To modify an external reference, include the referenceId in an
                update request for the individual.
              example: 24de15f64-5717-4562-b3fc-2c963f66e23e
              x-oapi-codegen-extra-tags:
                audit: keep
            type:
              type: string
              enum:
                - SYSTEM
                - CUSTOMER
                - ACCOUNT
                - OTHER
              default: CUSTOMER
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              example: 93da15f64-5717-4562-b3fc-2c963f6663fe
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            metadata:
              type: object
              description: >-
                Key-value pairs for storing additional metadata about the
                external reference
              additionalProperties:
                $ref: '#/components/schemas/External-Reference-Metadata'
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the external reference was last updated. ISO
                8601 format.
        - $ref: '#/components/schemas/External-Reference-Information'
    Party-Detail-Individual:
      type: object
      description: |
        Party details for an individual
      properties:
        name:
          $ref: '#/components/schemas/Individual-Name'
        dateOfBirth:
          $ref: '#/components/schemas/Date-Of-Birth'
    Party-Detail-Organization:
      type: object
      description: |
        Party details for an organization
      properties:
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
        registeredName:
          type: string
          description: The registered name of the organization
    Activity-Party-Custom-Attributes:
      type: object
      description: >
        A set of key value pairs with a type provided. Do not store PII data in
        this field.

        Validation:
              type: string
              minLength: 1
              maxLength: 64
              pattern: '^[a-zA-Z][a-zA-Z0-9-]*$'
      additionalProperties:
        $ref: '#/components/schemas/Activity-Party-Custom-Attribute'
    Address:
      type: object
      description: Address information in all available formats
      allOf:
        - $ref: '#/components/schemas/Address-Base'
        - type: object
          properties:
            unstructuredLongForm:
              type: string
              description: >-
                Raw, unformatted address as provided by the source. Not
                normalized or standardized.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Phone-Number:
      type: object
      properties:
        phoneNumberId:
          $ref: '#/components/schemas/Phone-Number-ID'
        isPreferred:
          type: boolean
          example: true
          description: Indicates whether this is the individual's preferred phone number.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - HOME
            - MOBILE
            - BUSINESS
            - FAX
          description: The type of phone number.
          example: MOBILE
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 14fd5f64-5717-4562-b3fc-2c963f66ba34
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: ISO-3166-1 alpha-3 country code.
          example: AUS
          x-oapi-codegen-extra-tags:
            audit: keep
        number:
          type: string
          description: The phone number.
          example: '0426192340'
          x-oapi-codegen-extra-tags:
            audit: mask
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the phone number is attached to one or more addresses, the
            address IDs of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: fa335f64-5717-4562-b3fc-2c963f66cf41
        unstructuredLongForm:
          type: string
          description: >-
            Used to capture free-form phone numbers or to store numbers that
            could not be normalized.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the phone number was last updated. ISO 8601
            format.
    Email:
      type: object
      properties:
        emailAddressId:
          $ref: '#/components/schemas/Email-Address-ID'
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - PERSONAL
            - BUSINESS
          example: WORK
          description: The type of email address, if known.
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 31dd15f64-5717-4562-b3fc-2c963f66234d
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        email:
          type: string
          description: >-
            The individual's email address. This email can be used to notify the
            individual of any verification requirements.
          example: leonardo_dc@outlook.com
          x-oapi-codegen-extra-tags:
            audit: mask
        isPreferred:
          type: boolean
          description: >-
            Indicates whether this email address is the individual's preferred
            email. The preferred email will be used to send notifications at the
            client's request.
          default: true
          x-oapi-codegen-extra-tags:
            audit: keep
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the email is attached to one or more addresses, the address IDs
            of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: adc215f64-5717-4562-b3fc-2c963f66222a
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the email address was last updated. ISO 8601
            format.
    Party-Risk-Signals:
      type: object
      description: Risk level signals for party attributes
      readOnly: true
      properties:
        email:
          $ref: '#/components/schemas/Risk-Level'
        emailDomain:
          $ref: '#/components/schemas/Risk-Level'
        address:
          $ref: '#/components/schemas/Risk-Level'
        phone:
          $ref: '#/components/schemas/Risk-Level'
    Activity-Detail-Base:
      type: object
      required:
        - activityType
      properties:
        activityType:
          $ref: '#/components/schemas/Activity-Type'
        customAttributes:
          $ref: '#/components/schemas/Activity-Custom-Attributes'
        activityAt:
          type: string
          format: date-time
          description: The timestamp that the activity occurred in UTC ISO8601 format
    Event:
      type: object
      description: An event represents a non-financial event in the customers platform.
      required:
        - eventType
      properties:
        eventType:
          $ref: '#/components/schemas/Event-Type'
    Transaction-Details:
      type: object
      description: Transaction details
      required:
        - transaction
      properties:
        transaction:
          $ref: '#/components/schemas/Transaction'
        counterparty:
          $ref: '#/components/schemas/Counter-Party-Detail'
    Device-Detail:
      type: object
      description: Device details
      allOf:
        - $ref: '#/components/schemas/Device-Indicators'
        - $ref: '#/components/schemas/Device-Properties'
    Geolocation:
      type: object
      description: >-
        Geolocation details if it can be determined, typically related to a
        device during an activity
      properties:
        city:
          type: string
          description: The city
          example:
            - Melbourne
            - San Francisco
        country:
          type: string
          description: The country in alpha 3 ISO-3166-1 standard
          example:
            - AUS
            - USA
        subdivision:
          type: string
          description: The subdivision
          example:
            - Victoria
            - California
        latitude:
          type: number
          format: double
          description: The latitude
        longitude:
          type: number
          format: double
          description: The longitude
    IP-Information:
      type: object
      description: IP information, typically in relation to a device
      allOf:
        - $ref: '#/components/schemas/IP-Addresses'
        - type: object
          properties:
            trueAddress:
              type: string
              description: The true IP address
            asn:
              type: string
              description: The ASN of the IP address
            connectionType:
              type: string
              description: The type of IP connection (if available)
              example:
                - Fixed Line ISP
            location:
              $ref: '#/components/schemas/Geolocation'
    Process-Result-ID:
      type: string
      description: >-
        When a process result object is first created, it is assigned an ID.
        When updating the process result object, set the processResultID to the
        ID of the process result object you are referring to.
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Activity-Result-Manual-Status:
      type: string
      enum:
        - FALSE_POSITIVE
        - TRUE_POSITIVE_ACCEPT
        - TRUE_POSITIVE_REJECT
        - IN_REVIEW
      description: >
        The status of the result.

        - FALSE_POSITIVE: When the result is determined to be false positive and
        the activity is within the risk profile to continue.

        - TRUE_POSITIVE_ACCEPT: When the result is determined to be true
        positive and the activity is within the risk profile to continue.

        - TRUE_POSITIVE_REJECT: When the result is determined to be true
        positive and the activity is NOT within the risk profile to continue.

        - IN_REVIEW: When the activity has been picked up for review.
    Activity-Result-ID:
      type: string
      readOnly: true
      description: >-
        Activity Result ID that identifies a result from an evaluation of an
        activity
      format: ulid
    Activity-Result-Class:
      type: string
      description: The class of the activity result (AML, FRAUD, EVENT)
      enum:
        - AML
        - FRAUD
        - EVENT
    Risk-Level:
      type: string
      enum:
        - UNKNOWN
        - LOW
        - MEDIUM
        - HIGH
        - UNACCEPTABLE
      description: |
        The risk level classification:
          - UNKNOWN: Risk level is not determined.
          - LOW: Low risk.
          - MEDIUM: Medium risk.
          - HIGH: High risk.
          - UNACCEPTABLE: Risk level is unacceptable.
    Indicator:
      type: object
      properties:
        indicatorId:
          $ref: '#/components/schemas/Indicator-ID'
        name:
          type: string
          description: The name of the indicator
        value:
          type: string
          description: The value of the indicator
        score:
          type: string
          description: The score of the indicator
        rules:
          type: array
          items:
            $ref: '#/components/schemas/Rule'
    Result-Reference:
      type: object
      properties:
        name:
          type: string
          description: The source of the result (e.g. sardine)
        type:
          $ref: '#/components/schemas/Result-Reference-Type'
        reference:
          type: string
          description: |
            A link or reference to the source of the result. 
            The format will depend on the source and the reference type.
    External-Reference-Metadata:
      type: object
      required:
        - type
        - value
      x-examples:
        String Metadata:
          type: STRING
          value: '2024-01-15'
        Number Metadata:
          type: NUMBER
          value: '100'
      description: Metadata item for external reference with typed value
      properties:
        type:
          $ref: '#/components/schemas/External-Reference-Metadata-TypeEnum'
        value:
          type: string
          maxLength: 128
          description: The value of the metadata item, stored as string regardless of type
    External-Reference-Information:
      type: object
      x-examples:
        Customer Reference:
          name: CUSTOMER-REFERENCE
          value: CUST-00001342
          description: This is the customer id in the core banking system
      required:
        - name
        - value
      description: >-
        Used to store references and identifying information about an entity
        that is external to FrankieOne. If you wish to filter or search on
        customer information relevant to your business, that information should
        be added as an external reference.
      properties:
        name:
          type: string
          description: The name of the external reference.
          example: CUSTOMER-REFERENCE
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          type: string
          description: The value of the external reference.
          example: CUST-00001342
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          type: string
          description: >-
            A summary of what this external reference is and what it is used
            for.
          example: This is the customer ID in the core banking system.
          x-oapi-codegen-extra-tags:
            audit: keep
    Individual-Name:
      type: object
      required:
        - familyName
      x-examples:
        Example 1:
          givenName: John
          middleName: Jacob
          familyName: Smith
      properties:
        nameId:
          type: string
          example: 87654321-4321-4321-4321-210987654321
          description: >-
            Include the nameId of an existing name for this individual to modify
            it
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        language:
          type: string
          example: eng
          description: >-
            The ISO-639-3 standard code that best represents the language and
            character set of the individual's name
          default: eng
          x-oapi-codegen-extra-tags:
            audit: keep
        givenName:
          type: string
          example: John
          description: First name or given name
          x-oapi-codegen-extra-tags:
            audit: mask
        middleName:
          type: string
          example: R
          description: Middle name(s) or middle initial(s)
          x-oapi-codegen-extra-tags:
            audit: mask
        familyName:
          type: string
          example: Doe
          description: Last name, family name, or surname.
          x-oapi-codegen-extra-tags:
            audit: mask
        otherName:
          type: string
          example: null
          description: >-
            Another name that this person may be known as, e.g., "Bob" as an
            alternative to "Robert".
          x-oapi-codegen-extra-tags:
            audit: mask
        prefix:
          type: string
          example: Dr.
          description: >-
            Letters or words that come before an individual's full name (e.g.,
            title or honorific).
          x-oapi-codegen-extra-tags:
            audit: mask
        suffix:
          type: string
          example: Jr.
          description: >-
            Letters or words that come after an individual's full name (e.g.,
            generational suffix).
          x-oapi-codegen-extra-tags:
            audit: mask
        sourceId:
          type: string
          example: 87654321-4321-4321-4321-210987654322
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        displayName:
          type: string
          example: John Doe
          description: >-
            Long format of the individual's full name, including any prefix,
            suffix, middle, or other names. Best used when the proper structure
            of the individual's name is unknown.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the name was last updated. ISO 8601 format.
    Date-Of-Birth:
      type: object
      allOf:
        - type: object
          properties:
            dateOfBirthId:
              type: string
              description: >-
                As dates of birth are added to an entity, they are assigned a
                unique identifier to assist with modification and reference.

                To modify a date of birth, include the dateOfBirthId in an
                update request for the individual.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the date of birth was last updated. ISO 8601
                format.
        - $ref: '#/components/schemas/Date'
    Activity-Party-Custom-Attribute:
      type: object
      required:
        - type
        - value
      x-examples:
        Example 1:
          type: STRING
          value: premium-credit-card
      properties:
        type:
          $ref: '#/components/schemas/Activity-Party-Custom-Attribute-Type'
        value:
          type: string
    Address-Base:
      type: object
      required:
        - country
      description: Address information in all available formats
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the address was last updated. ISO 8601 format.
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          $ref: '#/components/schemas/Address-TypeEnum'
          description: >-
            Used to indicate what sort of address this is, such as residential,
            business, postal, etc. Should be used in conjunction with the status
            field to indicate the current status of the address and provide more
            context.
        typeDescription:
          type: string
          description: >-
            Description for the type or the address type as fetched from an
            authoritative source like a company registry.
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address first became active. Used mostly with business
            addresses.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address was no longer used (if available). Used mostly
            with business addresses.
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, town, village, suburb, or city.
          x-oapi-codegen-extra-tags:
            audit: keep
        district:
          type: string
          description: The district, region, county, province, or cantonment.
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The administrative area, state, or sub-division. Use local
            abbreviations, such as VIC (Victoria) or TX (Texas).
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: >-
            The ISO-3166-1 country code. You must use the alpha-3 country code
            (e.g., AUS, USA, IDR, KOR, etc). Conversion will be handled as
            needed.

            For more details, refer to: https://en.wikipedia.org/wiki/ISO_3166-1
          x-oapi-codegen-extra-tags:
            audit: keep
        postalCode:
          type: string
          description: The postal code of the address.
          x-oapi-codegen-extra-tags:
            audit: keep
        careOf:
          type: string
          description: >-
            The individual or business name at this address, if different from
            the name of the entity to which this address belongs.
          x-oapi-codegen-extra-tags:
            audit: mask
        status:
          $ref: '#/components/schemas/Address-StatusEnum'
          description: >-
            The status of the address information, such as current, previous, or
            future. Should be used in conjunction with the `type` field to
            indicate the type of the address and provide more context.
    Phone-Number-ID:
      type: string
      description: >-
        As phone numbers are added to an entity, they are assigned an ID to
        assist with tracking.

        If you are adjusting phone numbers, you will need to include the ID to
        reference it correctly in the list.
      example: ad165f64-5717-4562-b3fc-2c963f66bfa9
      x-oapi-codegen-extra-tags:
        audit: keep
    Email-Address-ID:
      type: string
      description: >-
        As email addresses are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify an email, include the emailId in an update request.
      example: aa385f64-5717-4562-b3fc-2c963f66af21
      x-oapi-codegen-extra-tags:
        audit: keep
    Activity-Type:
      type: string
      description: The different types of activities able to be monitored
      enum:
        - TRANSACTION
        - EVENT
    Activity-Custom-Attributes:
      type: object
      description: >
        A set of key value pairs with a type provided. Do not store PII data in
        this field.

        Validation:

        - minLength: 1

        - maxLength: 64

        - pattern: '^[a-zA-Z][a-zA-Z0-9-]*$'
      additionalProperties:
        $ref: '#/components/schemas/Activity-Custom-Attribute'
    Event-Type:
      type: string
      description: The type of event that has occurred
      enum:
        - LOGIN
        - LOGOUT
        - SIGNUP
        - PASSWORD_RESET
        - PASSWORD_CHANGE
        - ADDRESS_CHANGE
        - PHONE_CHANGE
        - EMAIL_CHANGE
        - ACCOUNT_UPDATE
        - 2FA_UPDATE
        - PAYMENT_METHOD_LINK
        - ACCOUNT_CREATE
        - LOGIN_FAIL
        - INSUFFICIENT_FUNDS
        - KYC_FAIL
        - KYC_PASS
        - CHALLENGE_FAIL
        - CHALLENGE_PASS
    Transaction:
      type: object
      description: >-
        A transaction represents the details of a deposit or withdrawal of a
        entity.
      required:
        - amount
        - currency
        - currencyType
        - transactionType
        - transferMethod
        - transactionIdentifier
      properties:
        amount:
          type: number
          format: double
          description: The amount to be applied to the party
        currency:
          $ref: '#/components/schemas/Currency'
        currencyType:
          $ref: '#/components/schemas/Currency-Type'
        transferMethod:
          $ref: '#/components/schemas/Transaction-Method'
        counterpartyAmount:
          type: number
          format: double
          description: The amount to be applied to the party
        counterpartyCurrency:
          $ref: '#/components/schemas/Currency'
        counterpartyCurrencyType:
          $ref: '#/components/schemas/Currency-Type'
        counterpartyTransferMethod:
          $ref: '#/components/schemas/Transaction-Method'
        description:
          type: string
          description: |
            Short description of the payment from the perspective of the
            party, or any attached reference details.
          maxLength: 240
        account:
          $ref: '#/components/schemas/Transaction-Account'
        transactionType:
          $ref: '#/components/schemas/Transaction-Type'
        merchant:
          $ref: '#/components/schemas/Transaction-Merchant-Details'
        transactionIdentifier:
          type: string
          description: >-
            A payment identifier supplied by an external party / source to
            associate with this party in the transaction.

            This should be a unique reference for the customer to tie their
            transaction records to FrankieOne data.
        transactionLabel:
          type: string
          description: >
            Custom display name for the transaction (e.g., FIAT WITHDRAWAL,
            CRYPTO DEPOSIT) 

            to make transactions more easily distinguishable and meaningful in
            the portal 

            and downstream systems.
          maxLength: 128
    Counter-Party-Detail:
      type: object
      description: >
        A party describes the details of one of the parties in a given
        transaction (natch). It can be used to 

        describe any participant and is differentiated by the paymentRole
        fulfilled.


        You can either provide the raw entity ID as a reference or fill in the
        details. If an entity ID is provided,

        the data will be extracted from the entity in the FrankieOne system.
        Data provided here will take precedence 

        over the entity data but will not enrich the entity details in the
        FrankieOne system.
      allOf:
        - $ref: '#/components/schemas/Party-Detail'
        - type: object
          properties:
            account:
              $ref: '#/components/schemas/Transaction-Account'
    Device-Indicators:
      type: object
      properties:
        riskScore:
          type: integer
          description: Risk score as determine by the device checking service
        riskLevel:
          $ref: '#/components/schemas/Risk-Level'
        behaviorBiometrics:
          $ref: '#/components/schemas/Behavior-Biometrics'
        isRat:
          type: boolean
          description: Was the device user determined to be a rat?
        isSupported:
          type: boolean
          description: Was the device supported or not?
        isEmulated:
          type: boolean
          description: Was the device determined to be real or emulated?
        isRooted:
          type: boolean
          description: Was the device determined to be rooted?
        reputation:
          type: string
          description: The reputation of the device
        vpnLikelihood:
          $ref: '#/components/schemas/Likelihood'
        proxyLikelihood:
          $ref: '#/components/schemas/Likelihood'
        botLikelihood:
          $ref: '#/components/schemas/Likelihood'
        remoteSoftwareLikelihood:
          $ref: '#/components/schemas/Likelihood'
        osAnomaly:
          $ref: '#/components/schemas/Risk-Level'
    Device-Properties:
      type: object
      description: Device properties
      properties:
        deviceId:
          $ref: '#/components/schemas/Device-ID'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
        providerName:
          type: string
          description: The name of the provider
        externalIdentifiers:
          type: array
          items:
            $ref: '#/components/schemas/External-Reference-Information'
        os:
          type: string
          description: the device operating system
        trueOs:
          type: string
          description: the true OS of the device
        firstSeenAt:
          type: string
          format: date-time
          description: the first time the device was seen in the provider network
        browser:
          type: string
          description: the device browser (if relevant)
        platform:
          type: string
          description: the device platform
        model:
          type: string
          description: the device model
        fingerprint:
          type: string
          description: the device fingerprint
        fingerprintConfidence:
          type: number
          description: the confidence of the fingerprint
    Indicator-ID:
      type: string
      readOnly: true
      format: ulid
      description: Indicator ID that identifies an indicator from a check on an activity
    Rule:
      type: object
      properties:
        ruleId:
          $ref: '#/components/schemas/Rule-ID'
        reference:
          type: string
          description: The reference for the rule
          example: Rule-12345
        name:
          type: string
          description: The name of the rule
        description:
          type: string
          description: The description of the rule
        isActive:
          type: boolean
          description: Whether the rule is active
    Result-Reference-Type:
      type: string
      description: The type of the reference (e.g. url)
      enum:
        - URL
        - REFERENCE
    External-Reference-Metadata-TypeEnum:
      type: string
      default: STRING
      enum:
        - STRING
        - INTEGER
        - FLOAT
        - BOOLEAN
        - DATE
        - DATE_TIME
      description: The type of the external reference metadata value
    Date:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Base'
        - type: object
          properties:
            normalized:
              type: string
              format: date
              description: >-
                Full date in ISO 8601 format ("YYYY-MM-DD"). This is a read-only
                field.
              example: '1990-03-31'
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Activity-Party-Custom-Attribute-Type:
      type: string
      enum:
        - STRING
        - INTEGER
        - FLOAT
        - BOOLEAN
    Address-TypeEnum:
      type: string
      default: OTHER
      enum:
        - OTHER
        - RESIDENTIAL
        - BUSINESS
        - POSTAL
        - REGISTERED_OFFICE
        - PLACE_OF_BUSINESS
        - OFFICIAL_CORRESPONDANCE
        - PLACE_OF_BIRTH
        - OFFICE_LOCALITY
        - AUTHORITATIVE_RESIDENTIAL
      x-oapi-codegen-extra-tags:
        audit: keep
    Address-StatusEnum:
      type: string
      default: CURRENT
      enum:
        - CURRENT
        - PREVIOUS
        - FUTURE
      x-oapi-codegen-extra-tags:
        audit: keep
    Activity-Custom-Attribute:
      type: object
      required:
        - type
        - value
      x-examples:
        Example 1:
          type: STRING
          value: premium-credit-card
      properties:
        type:
          $ref: '#/components/schemas/Activity-Custom-Attribute-Type'
        value:
          type: string
    Currency:
      type: string
      description: 3-digit ISO 4217 currency code or crypto symbol
      example:
        - BTC
        - USD
        - ETH
        - AUD
    Currency-Type:
      type: string
      description: Indicates the type of currency
      enum:
        - FIAT
        - CRYPTO
    Transaction-Method:
      type: string
      description: >
        The method of payment used for the transaction. Note that if you specify
        account details you also need to 

        specify the transfer method and vice-versa.
      enum:
        - CARD_DEBIT
        - CARD_CREDIT
        - CARD_PREPAID
        - BANK_TRANSFER
        - WIRE
        - CRYPTO
        - WALLET
        - ACH
        - ECHECK
        - REMITTANCE
        - CASH
    Transaction-Account:
      type: object
      description: Account details
      allOf:
        - $ref: '#/components/schemas/Transaction-Account-Summary'
        - type: object
          properties:
            hashedPan:
              type: string
              description: >-
                The Sha-256 hash of card number (PAN) of the party at the source
                service
            maskedPan:
              type: string
              description: The masked card number (PAN) of the party at the source service
            route:
              type: string
              description: The branch/BIN/BSB identifier to go with the pan
            iban:
              type: string
              description: The IBAN identifier to go with the pan
            swiftCode:
              type: string
              description: >-
                The Swift code identifier (or BIC - Bank Identifier Code) to go
                with the pan
            name:
              type: string
              description: The name of the account/card
              maxLength: 64
            class:
              $ref: '#/components/schemas/Transaction-Account-Class'
            externalIdentifier:
              type: string
              description: >-
                If there is an external identifier associated with this account
                (e.g. PayID for an NPP transaction), then include that here
              maxLength: 100
            externalIdentifierType:
              $ref: '#/components/schemas/Transaction-Account-ExternalId-Type'
    Transaction-Type:
      type: string
      description: The type of movement of funds
      enum:
        - WITHDRAWAL
        - DEPOSIT
    Transaction-Merchant-Details:
      type: object
      description: A merchant reflects details of the merchant owner.
      properties:
        merchantIdentifier:
          type: string
          description: The merchant identifier of the merchant owner.
        industryCodes:
          type: array
          items:
            $ref: '#/components/schemas/Transaction-Merchant-Industry-Code'
    Behavior-Biometrics:
      type: object
      properties:
        hesitationPercentileLongTermMemory:
          type: number
          description: |
            The hesitation percentile for fields like address, name, etc which
            are associated with long term memory.
        hesitationPercentileNonLongTermMemory:
          type: number
          description: |
            The hesitation percentile for fields like amount fields which
            are not associated with long term memory.
        numberDistractionEvents:
          type: integer
        riskLevel:
          $ref: '#/components/schemas/Risk-Level'
    Likelihood:
      type: string
      description: |
        Likelihood of a particular scenario
      enum:
        - LOW
        - MEDIUM
        - HIGH
        - VERY_HIGH
        - UNKNOWN
    Device-ID:
      type: string
      description: ID of the device
      format: ulid
    Rule-ID:
      type: string
      readOnly: true
      format: ulid
      description: >-
        Rule ID that identifies an instance of a rule within the FrankieOne
        platform
    Date-Base:
      type: object
      properties:
        year:
          type: string
          description: Year in "YYYY" format.
          example: '1990'
          x-oapi-codegen-extra-tags:
            audit: mask
        month:
          type: string
          description: Month in "MM" format.
          example: '03'
          x-oapi-codegen-extra-tags:
            audit: mask
        day:
          type: string
          description: Day in "DD" format.
          example: '27'
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructured:
          type: string
          description: >-
            Raw date format without normalization or standardization to the
            Gregorian calendar.

            This can be used to provide non-Gregorian dates (e.g., Islamic
            dates).
          example: 12 Rajab 1445 AH
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Date-Type'
    Activity-Custom-Attribute-Type:
      type: string
      enum:
        - STRING
        - NUMBER
        - BOOLEAN
    Transaction-Account-Summary:
      type: object
      description: Account details
      properties:
        type:
          $ref: '#/components/schemas/Transaction-Account-Type'
        pan:
          type: string
          description: >-
            The primary account number (PAN) / crypto wallet of the party at the
            source service
    Transaction-Account-Class:
      type: string
      description: The class of the account
      enum:
        - PERSONAL
        - BUSINESS
        - OTHER
    Transaction-Account-ExternalId-Type:
      type: string
      description: An Account External ID type, usually associated with a PayID type.
      enum:
        - EXTERNAL_ID_NUMBER
        - EXTERNAL_MOBILE
        - EXTERNAL_EMAIL
        - EXTERNAL_REGISTRATION_NUMBER
    Transaction-Merchant-Industry-Code:
      type: object
      description: A merchant industry code and description pair. (e.g. MCC, ANZSIC)
      properties:
        code:
          description: Short standard code or normalized representation of the information
          type: string
        description:
          description: >-
            The information relevant to the code, could be a more descriptive
            information
          type: string
        type:
          description: Determines the type of the industry code.
          type: string
    Date-Type:
      type: string
      default: GREGORIAN
      enum:
        - BUDDHIST
        - DISCORDIAN
        - GREGORIAN
        - HEBREW
        - ISLAMIC
        - JULIAN
        - LUNAR
        - MESO_AMERICAN
        - PERSIAN
        - OTHER
      description: >-
        The calendar system used for the date, e.g., BUDDHIST, DISCORDIAN,
        GREGORIAN, HEBREW, ISLAMIC, JULIAN, LUNAR, MESO_AMERICAN, PERSIAN, or
        OTHER.
      x-oapi-codegen-extra-tags:
        audit: keep
    Transaction-Account-Type:
      type: string
      description: The type of the account that was used in the financial transaction.
      enum:
        - CHECKING
        - SAVINGS
        - CRYPTO_WALLET
        - TRUST
        - CARD
        - OTHER
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''

````